#!/usr/bin/python

import numpy as np
import matplotlib.pyplot as plt

# Adapted from http://matplotlib.org/users/screenshots.html

#fig, ax = plt.subplots()
#plt.subplots_adjust(bottom=0.40)
x = np.arange(0.0, 2.0, 0.01)

amp1 = 4/(np.pi*1)
s1 = amp1*np.sin(1*np.pi*x)

amp3 = 4/(np.pi*3)
s3 = s1 + amp3*np.sin(3*np.pi*x)

amp5 = 4/(np.pi*5)
s5 = s3 + amp5*np.sin(5*np.pi*x)

amp7 = 4/(np.pi*7)
s7 = s5 + amp7*np.sin(7*np.pi*x)

amp9 = 4/(np.pi*9)
s9 = s7 + amp9*np.sin(9*np.pi*x)

amp11 = 4/(np.pi*11)
s11 = s9 + amp11*np.sin(11*np.pi*x)

plt.grid("on")
plt.plot(x,s11, lw=3, color='black')
plt.axis([0, 2, -2,2])
plt.show()
